[One Click Apps] Replace the custom domains of an application
curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/one-click/apps/{app_id}/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
{
"service": "<string>",
"url": "<string>"
}
]
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/one-click/apps/{app_id}/domains"
payload = { "domains": [
{
"service": "<string>",
"url": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domains: [{service: '<string>', url: '<string>'}]})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/one-click/apps/{app_id}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Compute
[One Click Apps] Replace the custom domains of an application
Replace the custom domains attached to the application sub services. Every domain must already resolve to the instance public IPv4. The operation runs asynchronously as an instance task.
PUT
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
instances
/
{instance_id}
/
one-click
/
apps
/
{app_id}
/
domains
[One Click Apps] Replace the custom domains of an application
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Unique identifier of the deployed One Click App.
Unique identifier of the compute instance.
Unique identifier of the organization that owns the resource.
Unique identifier of the project containing the resource.
Body
application/json
Maximum array length:
20Show child attributes
Show child attributes
Response
⌘I

